import { z } from 'zod';
export declare const chatParticipantsEndpoint: {
    readonly name: "Chat Participants";
    readonly description: "Get information about the participants of all active conversations or a specific conversation if a cid is provided";
    readonly category: string[];
    readonly type: "local";
    readonly suffix: "chat/v5/participants";
    readonly query: Map<string, z.ZodOptional<z.ZodString>>;
    readonly riotRequirements: {
        readonly localAuth: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            participants: z.ZodArray<z.ZodObject<{
                activePlatform: z.ZodNull;
                cid: z.ZodString;
                game_name: z.ZodString;
                game_tag: z.ZodString;
                muted: z.ZodBoolean;
                name: z.ZodString;
                pid: z.ZodString;
                puuid: z.ZodString;
                region: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                cid: string;
                muted: boolean;
                game_name: string;
                game_tag: string;
                name: string;
                pid: string;
                puuid: string;
                region: string;
                activePlatform: null;
            }, {
                cid: string;
                muted: boolean;
                game_name: string;
                game_tag: string;
                name: string;
                pid: string;
                puuid: string;
                region: string;
                activePlatform: null;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            participants: {
                cid: string;
                muted: boolean;
                game_name: string;
                game_tag: string;
                name: string;
                pid: string;
                puuid: string;
                region: string;
                activePlatform: null;
            }[];
        }, {
            participants: {
                cid: string;
                muted: boolean;
                game_name: string;
                game_tag: string;
                name: string;
                pid: string;
                puuid: string;
                region: string;
                activePlatform: null;
            }[];
        }>;
    };
};
export type ChatParticipantsResponse = z.input<typeof chatParticipantsEndpoint.responses['200']>;
